# Read the Docs configuration file
# See https://docs.readthedocs.io/en/stable/config-file/v2.html for details

# Required
version: 2

# Optionally build your docs in additional formats such as PDF and ePub
formats:
  - htmlzip
  - epub
  # - pdf  # busted by latex crash on unicode U+030A combining ring above, in text() docs

# Optionally set the version of Python and requirements required to build your docs
build:
   os: ubuntu-22.04
   tools:
      python: "3.10"
python:
   install:
      - requirements: requirements/tools.txt
      - path: hypothesis-python/
        extra_requirements:
           - all
